com.sun.j3d.utils.scenegraph.io

## Class UnsupportedUniverseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.j3d.utils.scenegraph.io.UnsupportedUniverseException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedUniverseException
    extends java.lang.Exception

Thrown if the VirtualUniverse subclass is not supported by the writeUniverse calls. Currently only com.sun.j3d.utils.universe.SimpleUniverse is supported

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedUniverseException()` Creates new `UnsupportedUniverseException` without detail message.
`UnsupportedUniverseException(java.lang.String msg)` Constructs an `UnsupportedUniverseException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedUniverseException

    public UnsupportedUniverseException()

Creates new `UnsupportedUniverseException` without detail message.

#### UnsupportedUniverseException

    public UnsupportedUniverseException(java.lang.String msg)

Constructs an `UnsupportedUniverseException` with the specified detail message.

Parameters:
  `msg` - the detail message.